<?php
	include_once("formularios/data/connect.php");
	include_once("modulos/inc/funciones.php");
	include("modulos/fusionchart/Includes/FusionCharts.php");

    drupal_add_css("formularios/dhtmlx/dhtmlx.css");	  
    drupal_add_css("modulos/css/template.css");	  
    drupal_add_js("formularios/dhtmlx/dhtmlx.js");
    drupal_add_js("formularios/dhtmlx/dhtmlxgrid_pgn.js");
    drupal_add_js("formularios/dhtmlx/format-number.js");
	
	//$urlxmls = "http://drupal6.betapruebas.com/modulos/data/";
	global $base_url;
	$urlxmls = $base_url."/modulos/data/";

	$buscid = $_GET['buscid'] ? $_GET['buscid'] : 0;

	$query = "SELECT P.Nombre, P.Codigo, count(Y.IdProyecto) contProyectos, SUM(Y.CostoTotal) CostoTotal, SUM(CostoPresup) CostoPresup, SUM(CostoReal) CostoReal, MIN(DATE_FORMAT(Y.FechaInicioReal,'%d/%m/%Y')) FechaInicio, MAX(DATE_FORMAT(Y.FechaFinalPresup,'%d/%m/%Y')) FechaFinal, SUM(VariacionPlanDias) as VariacionPlan, 			DATEDIFF(MAX(FechaFinalPresup), MIN(FechaInicioReal)) Duracion FROM programas P INNER JOIN proyectos Y ON P.IdPrograma = Y.IdPrograma LEFT JOIN (SELECT PR.* FROM progreso PR, (SELECT IdProyecto, MAX(Fecha) AS Fecha FROM progreso GROUP BY IdProyecto)PR2 WHERE PR.IdProyecto = PR2.IdProyecto AND PR.Fecha = PR2.Fecha) R ON Y.IdProyecto = R.IdProyecto LEFT JOIN (SELECT EV.* FROM evaluaciones EV, (SELECT IdPrograma, MAX(Fecha) AS Fecha FROM evaluaciones GROUP BY IdPrograma)E2 WHERE EV.IdPrograma = E2.IdPrograma AND EV.Fecha = E2.Fecha) E ON P.IdPrograma = E.IdPrograma WHERE P.IdPrograma = $buscid GROUP BY P.IdPrograma";
	$RS = mysql_query($query);
	$row = mysql_fetch_array($RS);

	$duracion = $row['Duracion'];
	$variaplan = $row['VariacionPlan'];
	if($duracion > 0)
		$porplan = $variaplan / $duracion * 100;
	else
		$porplan = 0;
?>

<p>Ver <a href="/variacion_costo?buscid=<?=$buscid?>">Detalles de Variaci&oacute;n de Costo</a></p><br />

<p>La variaci&oacute;n de plan se calcula como la variaci&oacute;n entre el numero de d&iacute;as planificados y los realmente invertidos en cada proyecto a la fecha del &uacute;ltimo reporte realizado por el Responsable del Programa.</p><br />

<h1 class="titulo-pagina"><?=utf8_encode($row['Nombre'])?></h1>

<?php include("modulos/graficas/grafica_variacionplan.php"); ?>

<!--<img src="modulos/img/varia-plan.png" />-->
<br /><br />
<table width="900" cellspacing="10">
	<tr>
    	<td width="30%" height="25">
        	N&uacute;mero de Proyectos:
        	<span class="bold"><?=$row['contProyectos']?></span>
        </td>
    	<td width="37%">
			Costo Presupuestado: 
        	<span class="bold"><?=number_format($row['CostoTotal'],0)?> &euro;</span>
        </td>
    	<td width="33%">
			Fecha Inicio de Programa: 
        	<span class="bold"><?=$row['FechaInicio']?></span>
        </td>
    </tr>
	<tr>
    	<td height="25">
			Variaci&oacute;n de Plan: 
        	<span class="bold"><?=number_format($variaplan,0)?> d&iacute;as</span>
        </td>
    	<td>
			Costo Presupuestado a la Fecha: 
        	<span class="bold"><?=number_format($row['CostoPresup'],0)?> &euro;</span>
        </td>
    	<td>
			Fecha &Uacute;ltimo Progreso: 
        	<span class="bold"><?=$row['FechaFinal']?></span>
        </td>
    </tr>
	<tr>
    	<td height="25">
			% Variaci&oacute;n de Plan: 
        	<span class="bold"><?=number_format($porplan,2)?> %</span>
        </td>
    	<td>
			Costo Real a la Fecha: 
        	<span class="bold"><?=number_format($row['CostoReal'],0)?> &euro;</span>
        </td>
    	<td>
			C&oacute;digo del Programa:  
        	<span class="bold"><?=$row['Codigo']?></span>
        </td>
    </tr>
</table>

<div id="grid"></div>
<br /><br />
<strong>Nota:</strong> Todas las descripciones, fechas y costos son reportados por el responsable de cada Departamento. Los datos que aqu&iacute; se muestran han sido calculados teniendo en cuenta el Valor Ganado. 


<script type="text/javascript">
	grid = new dhtmlXGridObject("grid");
	with(grid)
	{
		setImagePath("../formularios/dhtmlx/imgs/");
		setHeader("Proyecto,Descripci&oacute;n,<center>Inicio Presupuestado</center>,<center>Inicio<br />Real</center>,<center>Fin Presupuestado</center>,<center>Fin<br />Real</center>,Variaci&oacute;n de Plan en D&iacute;as,% Avance Presupuestado,<center>% Avance<br />Real</center>");
		setInitWidths("80,180,90,90,90,90,90,90,90");
		setColAlign("left,left,center,center,center,center,center,center,center");
		setColTypes("ro,ro,ro,ro,ro,ro,ro,ro,ro,ro");
		setColSorting("str,str,date,date,date,date,int,int,int");
		enableAutoHeight(true);
		enableMultiline(true);
		init();
		loadXML("<?=$urlxmls?>detalles.php?op=plan&buscid=<?=$buscid?>");
	}

</script>